#!/usr/bin/env ruby

$: << File.dirname(__FILE__)
$oj_dir = File.dirname(File.expand_path(File.dirname(__FILE__)))
%w(lib ext).each do |dir|
  $: << File.join($oj_dir, dir)
end

require 'oj'
require 'active_support'

Oj.default_options = {trace: true}

Oj::Rails.mimic_JSON
#Oj.mimic_JSON
begin
  ::JSON.load('foo=&bar')
rescue Exception => e
  puts "*** #{e.class}: #{e.message}"
end
